package sample.acegi.domain;

import java.io.Serializable;

public class Person implements Serializable {

    private static final long serialVersionUID = 2166546508087147420L;

    private int id;
    private String name;
    private String address;
    private Integer age;

    public Person(int id) {
        this.id = id;
    }

    public Person(int id, String name, String address, Integer age) {
        this.id = id;
        this.name = name;
        this.address = address;
        this.age = age;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String toString() {
        return "Person@id=" + id
                    + ",name=" + name
                    + ",address=" + address
                    + ",age=" + age;
    }
}
