package sample.acegi.domain;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class PersonServiceImpl implements PersonService {
    private static final Log LOG 
                = LogFactory.getLog(PersonServiceImpl.class);

    public List<Person> findAll() {
        List<Person> list = new ArrayList<Person>();
        list.add(new Person(1, "Y", "s", 30));
        list.add(new Person(2, "Y", "sVh", 25));
        list.add(new Person(3, "OY", "sL", 20));

        return list;
    }

    public Person findByPk(int id) {
        return new Person(id, "Y", "s", 30);
    }

    public void create(Person person) {
        LOG.info("쐬:" + person);
    }

    public void update(Person person) {
        LOG.info("XV:" + person);
    }

    public void delete(int id) {
        LOG.info("폜:id=" + id);
    }
}
